> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kas.fyi/llms.txt
> Use this file to discover all available pages before exploring further.

# Get UTXOs by addresses

> Retrieves UTXOs associated with specific addresses.

## Cost

This endpoint costs **0.5 RU** (Request Units) per call.


## OpenAPI

````yaml POST /v1/rpc/getUtxosByAddresses
openapi: 3.0.0
info:
  title: Kaspa Developer Platform (KDP) API
  description: >-
    A high-performance REST API providing real-time and historical data from the
    Kaspa blockchain
  version: '1.0'
  contact: {}
servers:
  - url: https://api.kas.fyi
    description: Mainnet API
security: []
tags:
  - name: Address
    description: Operations related to Kaspa addresses
  - name: Block
    description: Operations related to Kaspa blocks
  - name: Transaction
    description: Operations related to Kaspa transactions
  - name: Token
    description: Operations related to KRC20 tokens
  - name: Kaspa Node RPC Proxy
    description: Direct proxy to Kaspa node RPC methods
paths:
  /v1/rpc/getUtxosByAddresses:
    post:
      tags:
        - Kaspa Node RPC Proxy
      summary: Get UTXOs by addresses
      description: Retrieves UTXOs associated with specific addresses.
      operationId: RpcController_getUtxosByAddresses
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RpcGetUtxosByAddressesRequestDto'
      responses:
        '200':
          description: UTXOs retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RpcGetUtxosByAddressesResponseDto'
      security:
        - x-api-key: []
components:
  schemas:
    RpcGetUtxosByAddressesRequestDto:
      type: object
      properties:
        addresses:
          description: Array of Kaspa addresses to get UTXOs for
          example:
            - >-
              kaspa:qpzpfwcsqsxhxwup26r55fd0ghqlhyugz8cp6y3wxuddc02vcxtjg75pspnwz
            - >-
              kaspa:qpz2vgvlxhmyhmt22h538pjzmvvd52nuut80y5zulgpvyerlskvvwm7n4uk5a
          type: array
          items:
            type: string
      required:
        - addresses
    RpcGetUtxosByAddressesResponseDto:
      type: object
      properties:
        entries:
          description: Array of UTXO entries
          type: array
          items:
            $ref: '#/components/schemas/RpcUtxoEntryDto'
      required:
        - entries
    RpcUtxoEntryDto:
      type: object
      properties:
        address:
          type: string
          description: UTXO address
          example: kaspa:qpzpfwcsqsxhxwup26r55fd0ghqlhyugz8cp6y3wxuddc02vcxtjg75pspnwz
        outpoint:
          type: object
          description: Transaction outpoint
          example:
            transactionId: 34e9538fd3225652553930657c3d767d5ccab0fcd545038a69c202e45929dcd6
            index: 0
        amount:
          type: string
          description: UTXO amount in SOMPI
          example: '1000000000'
        scriptPublicKey:
          type: object
          description: Script public key
          example:
            version: 0
            script: >-
              204414bb10040d733b8156874a25af45c1fb938811f01d122e371adc3d4cc19724ac
        blockDaaScore:
          type: string
          description: Block DAA score when this UTXO was created
          example: '1234567'
        isCoinbase:
          type: boolean
          description: Whether this UTXO is from a coinbase transaction
          example: false
      required:
        - outpoint
        - amount
        - scriptPublicKey
        - blockDaaScore
        - isCoinbase
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        API key required for authentication. Get your API key at
        https://developer.kas.fyi

````